require 'bundler'
require 'bundler/version'

require File.expand_path('lib/pictaculous')

Gem::Specification.new do |s|
  s.add_runtime_dependency('curb')
  s.add_runtime_dependency('hashie')
  s.add_runtime_dependency('json')
  s.add_development_dependency('fakeweb')
  s.add_development_dependency('rspec')
  s.name = "pictaculous"
  s.authors = ["Brian Getting"]
  s.description = %q{Ruby gem for interacting with the Pictaculous API. Upload an image and receive a matching color pallete as JSON.}
  s.email = ["brian@tatem.ae"]
  s.executables = `git ls-files -- bin/*`.split("\n").map{|f| File.basename(f)}
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = `git ls-files`.split("\n")
  s.homepage = "http://github.com/tatemae-consultancy/pictaculous.git"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.summary = %q{Ruby gem for interacting with the Pictaculous API.}
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.version = Pictaculous::VERSION
  s.platform = Gem::Platform::RUBY
  s.required_rubygems_version = Gem::Requirement.new('>= 1.3.6') if s.respond_to? :required_rubygems_version=
end