require 'fakeweb'
require 'pictaculous'

FakeWeb.allow_net_connect = false

RSpec.configure do |config|
  config.mock_with :rspec
  config.before(:each) do
    FakeWeb.clean_registry
    FakeWeb.register_uri(:post, "http://pictaculous.com/api/1.0/", body: "Hello!")
  end
end